NaviServer - programmable web server

[ Main Table Of Contents | Table Of Contents | Keyword Index ]

# ns_adp_bind_args(n) 4.99.8 naviserver "NaviServer Built-in Commands"

## Name

ns_adp_bind_args - Bind ADP arguments to variables

## Table Of Contents

## Synopsis

- ns_adp_bind_args varName ?varName ...?

## Description

This command assigns the ADP arguments from the current ADP frame to variables specified in one or more varName parameters. There must be an equal number of varName arguments as there are ADP arguments, otherwise an error will be thrown. Note that the first varName is not assigned the name of the ADP. In other words, varName starts from index 1 in the ns_adp_argv list.

## COMMANDS

ns_adp_bind_args varName ?varName ...?

## EXAMPLES

       # In a.adp:
       <% ns_adp_include b.adp 1 2 3 %>

       # In b.adp:
       <%
         ns_adp_bind_args x y z
         list $x $y $z       ;# => {1 2 3}
       %>

## See Also

nsd

## Keywords

ADP